#include <string>
#include <iostream>
#include <Variables.hpp>

using namespace std;
/*
template <typename T>
T update_variable(string name, T result) {
   // variables[name] = (void *) result;
    cout<<"SET(var="<<name<<",val="<<result<<")"<<'\n';
    return result;
}

template <typename T>
T get_variable(string name) {
    cout<<"GET(var="<<name<<",val="<<(T)variables[name]<<")"<<'\n';
    return variables[name];
}*/